create or replace
TRIGGER SJS.ACW_NYDEX_DELETE
BEFORE DELETE ON SJS.ARRESTCHARGESWEAPONS
BEGIN
  NYDEX.NYDEX_AVOID_MUTATE.o := NYDEX.NYDEX_AVOID_MUTATE.n;
END;
/

create or replace TRIGGER SJS.ACW_NYDEX_DELETE_AD
AFTER DELETE ON SJS.ARRESTCHARGESWEAPONS
BEGIN
  for i in 1 .. NYDEX.NYDEX_AVOID_MUTATE.o.count
  loop
    update sjs.incident set i_nydex_mod_date=sysdate
    where 
    i_id=NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id
    and
    AGCY_ORI=NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori;
  end loop;
END;
/

create or replace
TRIGGER SJS.ACW_NYDEX_DELETE_BDFER
BEFORE DELETE ON SJS.ARRESTCHARGESWEAPONS
FOR EACH ROW
declare
i    number default NYDEX.NYDEX_AVOID_MUTATE.o.count+1;
ori varchar2(9);
iid number(23);
BEGIN
 select distinct i_id,agcy_ori into iid,ori from sjs.arrestcharges where ac_id=:old.ac_id;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id:=iid;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori:=ori;
END;
/

create or replace
TRIGGER SJS.VS_NYDEX_DELETE_BDFER
BEFORE DELETE ON SJS.VICTIMSUSPECT
FOR EACH ROW
declare
i    number default NYDEX.NYDEX_AVOID_MUTATE.o.count+1;
ori varchar2(9);
iid number(23);
BEGIN
  SELECT distinct i_id,agcy_ori into iid,ori FROM incidentpeople WHERE ip_id = :old.ip_victim_id OR ip_id = :old.ip_suspect_id;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id:=iid;
  NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori:=ori;
END;
/

create or replace TRIGGER SJS.VS_NYDEX_DELETE
BEFORE DELETE ON SJS.VICTIMSUSPECT
BEGIN
 NYDEX.NYDEX_AVOID_MUTATE.o := NYDEX.NYDEX_AVOID_MUTATE.n;
END;
/

create or replace TRIGGER SJS.VS_NYDEX_DELETE_AD
AFTER DELETE ON SJS.VICTIMSUSPECT
FOR EACH ROW
BEGIN
for i in 1 .. NYDEX.NYDEX_AVOID_MUTATE.o.count
  loop
    update sjs.incident set i_nydex_mod_date=sysdate
    where 
    i_id=NYDEX.NYDEX_AVOID_MUTATE.o(i).i_id
    and
    AGCY_ORI=NYDEX.NYDEX_AVOID_MUTATE.o(i).agcy_ori;
  end loop;
END;
/
